Subject: RE: [External] Using Git as a Database

From: <[email-masked]>
Date: Mon, 23 Sep 2024 15:09:22 -0400

On September 23, 2024 2:43 PM, Andreas Schwab wrote:
>On Sep 23 2024, [email-masked] wrote:
>
>> Thank you for your reply, Han. The problem that I have with ‘—allow-empty’ is
>that the resulting commit is not associated with any particular file. I tried ‘git commit
>—allow-empty myfile.txt’ but the file argument is effectively ignored. ‘git log
>myfile.txt’ does not show the empty commit.
>
>Since the git model is snapshot based, there is no way around that, apart from
>putting the reference in the commit message which you can search with git log --
>grep=myfile.txt.

One way around this is to inject a date/timestamp in the file. Be careful about conflicts
If you every try to merge. This forces a signature change in the internal blob on
commit.

I am not recommending this, just suggesting a way to force the issue.